
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>VB.NET使用OracleTransaction处理事务 / iVAN</title>

    <meta name="description" content="VB.NET使用OracleTransaction处理事务 oracle 数据库事务简介 数据库事务是由一组 SQL 语句组成的一个逻辑工作单元.您可以把事务看作是一组不可分的 SQL 语句,这些语句作为一个整体永久记录在数据库中或一并撤销.比如在银行帐户之间转移资金:一条 UPDATE语句将从一个帐户的资金总数中减去一部分,另一条 UPDATE语句将把资金加到另一个帐户中.减操作和加操作必须永久记录在数据库中,或者必须一并撤销 - 否则将损失资金.这个简单的示例仅使用了两条 UPDATE 语句,但一个更实际的事务可能包含许多 INSERT.UPDATE">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">VB.NET使用OracleTransaction处理事务</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>oracle</p>
<p>　　<b>数据库事务简介</b></p>
<p>　　数据库事务是由一组 SQL 语句组成的一个逻辑工作单元。您可以把事务看作是一组不可分的 SQL 语句，这些语句作为一个整体永久记录在数据库中或一并撤销。比如在银行帐户之间转移资金：一条 UPDATE语句将从一个帐户的资金总数中减去一部分，另一条 UPDATE语句将把资金加到另一个帐户中。减操作和加操作必须永久记录在数据库中，或者必须一并撤销 — 否则将损失资金。这个简单的示例仅使用了两条 UPDATE 语句，但一个更实际的事务可能包含许多 INSERT、UPDATE和 DELETE 语句。</p>
<p>　　要永久记录一个事务中的 SQL 语句的结果，您可以通过 COMMIT 语句来执行提交。要撤销 SQL 语句的结果，您可以使用 ROLLBACK 语句来执行回滚，这会把所有的行重设为它们原来的状态。只要您事先没有与数据库断开，则您在执行回滚之前所做的任何修改都将被撤销。您还可以设置一个保存点，以便将事务回滚至该特定的点，同时保持事务中的其他语句原封不动。</p>
<p>　　<b>使用数据库事务(主要针对VB.NET)</b></p>
<p>　　您可以使用 OracleTransaction 类的一个对象来表示一个事务。OracleTransaction 类包含多个属性，其中的两个为 Connection（指定与事务关联的数据库连接）和 IsolationLevel（指定事务隔离级别）</p>
<p>　　Connection，指定与该事务关联的OracleConnection对象；<br />　　IsolationLevel，指定该事务的IsolationLevel；枚举类型，用于对事物的锁定，取值有Chaos、ReadCommited、ReadUncommited、RepeatableRead、Serializable、Unspecified。</p>
<p>　　应用程序通过针对OracleConnection对象调用 BeginTransaction 来创建OracleTransaction对象。对OracleTransaction对象执行与该事务关联的所有后续操作（例如提交或中止该事务）。</p>
<p>　　Commit:提交SQL数据库事务；<br />　　Rollback :从挂起状态回滚事务；</p>
<p>　　您还可以使用 Save() 在事务中设置一个保存点。</p>
<p>　　下面的示例创建一个 OracleConnection 和一个 OracleTransaction。它还演示了如何使用 BeginTransaction、Commit 和 Rollback 方法。（这是MSDN里的范例）</p>
<p>　　需要注意的是，这些操作需要引入命名空间: Oracle.DataAcess.Client</p>
<p>　　Oracle.DataAccess.Client 命名空间是 ODP.NET 的一部分，它包含许多类，其中有 OracleConnection、OracleCommand 和 OracleTransaction。示例程序就用到了这些类。</p>
<p>　　事务操作</p>
<p>1Public Sub RunOracleTransaction()Sub RunOracleTransaction(myConnString As String)<br />2 Dim myConnection As New OracleConnection(myConnString)<br />3 myConnection.Open()<br />4 <br />5 Dim myCommand As OracleCommand = myConnection.CreateCommand()<br />6 Dim myTrans As OracleTransaction<br />7 <br />8 ' Start a local transaction<br />9 myTrans = myConnection.BeginTransaction(IsolationLevel.ReadCommitted)<br />10 ' Assign transaction object for a pending local transaction<br />11 myCommand.Transaction = myTrans<br />12 <br />13 Try<br />14 myCommand.CommandText = "INSERT INTO Dept (DeptNo, Dname, Loc) values (50, 'TECHNOLOGY', 'DENVER')"<br />15 myCommand.ExecuteNonQuery()<br />16 myCommand.CommandText = "INSERT INTO Dept (DeptNo, Dname, Loc) values (60, 'ENGINEERING', 'KANSAS CITY')"<br />17 myCommand.ExecuteNonQuery()<br />18 myTrans.Commit()<br />19 Console.WriteLine("Both records are written to database.")<br />20 Catch e As Exception<br />21 myTrans.Rollback()<br />22 Console.WriteLine(e.ToString())<br />23 Console.WriteLine("Neither record was written to database.")<br />24 Finally<br />25 myConnection.Close()<br />26 End Try<br />27End Sub<br />28<br />　　<b>在 .NET 程序中设置事务保存点</b></p>
<p>　　正如本文前面所提到的那样，您可以设置一个保存点，以便将事务回滚至该特定的点，同时保持事务中的其他语句原封不动。您可以使用 OracleTransaction 类的 Save() 方法在事务中设置保存点。</p>
<p>　　如果您有一个非常长的事务并且希望能够仅回滚到某个特定的时间点，那么您可能要使用保存点。例如，您可能想对 10 个产品做一些更改，然后设置一个保存点，然后再对另 10 个产品做更改；如果您在进行第二批更改时出现了错误，那么您可以回滚至保存点，使您的第一批更改原封不动。</p>
<p>　　使用OracleTransaction对象需要注意的几点：</p>
<p>　　1)你需要在你整个事务执行中只能有唯一OracleConnection ，OracleCommand，OracleTransaction，也就是说如果你事务处理过程中如果需要与数据库的操作都只能在这唯一的Command中执行,类似于:</p>
<p>imgCommand.CommandText = sSQL<br />imgCommand.ExecuteNonQuery()或其他操作<br />　　若你新建一个连接执行其他数据库操作的话，整个事务过程就会抛出异常</p>
<p>　　2)如果你需要在你SQL语句中加入参数，则你必须在你执行完提交或相关数据库操作之后将其Command的参数清空,下边举一个实际的项目里的事务函数：</p>
<p>　　事务函数</p>
<p>1 ''' &lt;summary&gt;<br />2 ''' 保存热点文本文件信息到数据库<br />3 ''' &lt;/summary&gt;<br />4 Private Function SaveTextFile()Function SaveTextFile() As Boolean<br />5 Dim sSQl As String<br />6 sSQl = "select type_id from sys_file_type where file_extname='TXT'"<br />7 Try<br />8 imgCommand.CommandText = sSQl<br />9 Dim typeID As Int32 = Convert.ToInt32(imgCommand.ExecuteScalar()) '文件类型<br />10 '读取文本信息<br />11 Dim Textblob() As Byte = GetText()<br />12<br />13 sSQl = "insert into t_watch_textcontent(image_id,text_content,type_id) values(:imageid,:textcontent,:typeid)"<br />14 '增添SQL参数<br />15 Dim Param As OracleClient.OracleParameter<br />16 Param = New OracleClient.OracleParameter("imageid", sNewImageID)<br />17 imgCommand.Parameters.Add(Param)<br />18 Param = New OracleClient.OracleParameter("textcontent", Textblob)<br />19 imgCommand.Parameters.Add(Param)<br />20 Param = New OracleClient.OracleParameter("typeid", typeID)<br />21 imgCommand.Parameters.Add(Param)<br />22<br />23 '提交信息<br />24 imgCommand.CommandText = sSQl<br />25 If imgCommand.ExecuteNonQuery() &gt; 0 Then<br />26 bResult = True<br />27 '关键是这里，需要你手动清除参数<br />28 imgCommand.Parameters.Clear()<br />29 End If<br />30 Catch ex As Exception<br />31 Me.ExceptionMessage = ex<br />32 bResult = False<br />33 End Try<br />34<br />35 Return bResult<br />36 End Function</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-19 08:54:15</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e8%af%ad%e5%8f%a5/" title="语句">语句</a>, <a href="https://www.iamivan.net/tag/oracleconnection/" title="oracleconnection">oracleconnection</a>, <a href="https://www.iamivan.net/tag/%e4%ba%8b%e5%8a%a1/" title="事务">事务</a>, <a href="https://www.iamivan.net/tag/%e6%92%a4%e9%94%80vb/" title="撤销vb">撤销vb</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>VB.NET使用OracleTransaction处理事务的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Vzw6kvp.html" rel="bookmark">VB&period;NET中使用OracleTransaction处理事务</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				数据库事务简介 数据库事务是由一组SQL语句组成的一个逻辑工作单元.您可以把事务看作是一组不可分的SQL语句,这些语句作为一个整体永久记录在数据库中或一并撤销.比如在银行帐户之间转移资金:一条UPDATE语句将从一个帐户的资金总数中减去一部分,另一条UPDATE语句将把资金加到另一个帐户中.减操作和加操作必须永久记录在数据库中,或者必须一并撤销 - 否则将损失资金.这个简单的示例仅使用了两条UPDATE语句,但一个更实际的事务可能包含许多INSERT.UPDATE和DELETE 语句. 要永久记			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XpmJVqz.html" rel="bookmark">在 &period;NET中使用Oracle数据库事务</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				oracle|数据|数据库     在本文中,您将了解到如何在 Visual Basic .NET (VB.NET) 和 Visual C# .NET (C#) 中使用数据库事务.具体来讲,您将系统学习数据库事务.在 .NET 程序中使用 OracleTransaction 对象以及如何设置事务保存点.本文中引用的所有脚本和文件都在这里提供.本文假定您大体上熟悉 C# 和 VB.NET 编程. 所需软件 如果您要跟随我们逐步完成本文中给出的示例,那么您需要安装以下软件: Windows NT 4			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Nz7w2rz.html" rel="bookmark">通用权限管理工具&comma;支所有ADO（包括ODBC）支持的数据库，不管用什么编程都行，VC&sol;BCB&sol;VB&sol;PB&sol;Delphi</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ado|odbc|编程|数据|数据库 下面是一部分说明: 请细请到这里下载ExeDemo测试版通用权限管理工具的创作动机权限管理是MIS软件中很重要的一环.很多国内较出名的MIS软件厂商都设计了较完善的也具有自己特色的权限管理模块.但对于很多没那么规范的软件商(包括个人或小创作团体),他们经常是接到一单,设计一套权限管理系统,每套都不同:有的则不够重视,随便写上一段,哪里都拷过去用:有的也曾费尽心机,但结果总不能令自己满意.其实仔细想一下,每套软件的权限虽然各不相同,但其实所需实现的功能是相同的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/YbKLBdM.html" rel="bookmark">ASP&period;NET创建Web服务之使用事务</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|web|web服务|创建 支持XML Web服务的事务利用公共语言运行期中的支持,其是基于Microsoft Transaction Server ( MTS)和COM+ Services中相同的分布式事务模型.该模型基于明确的判断一个对象是否参与一个事务,而不是编写特定的代码用来处理委托和回调一个事务.对于一个使用ASP.NET创建的XML Web服务,你可以通过设置其应用到一个XML Web服务方法上的WebMethod属性的TransactionOption属性来声明一个X			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/2MWj97b.html" rel="bookmark">用VB备份和恢复SQL Server数据库的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				server|备份|恢复|数据|数据库 摘要 备份与恢复是数据库管理员维护数据库安全性和完整性的重要操作.本文分析并介绍用Access备份SQL数据库的方法,很好地达到了数据备份的目的.同时,就Access 数据库的安全接口作了简略讨论,使备份后不致丧失数据安全性.并提出了改进备份与恢复策略的一些建议. 引言 对于关键应用的数据库系统应根据具体环境和条件制订一个完善可行确保系统安全的备份计划,没有备份的系统是不可靠.危险的,后果将是严重的,破坏性病毒.误操作.自然灾害等等都可能会对数据库系统造成			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/yMAg4Az.html" rel="bookmark">在ADO&period;NET中使用事务保护数据的完整性&lpar;3&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ado|数据 事务在ADO.Net中 Ado.net 支持两种事务模型,这在．Net Framework 文档中作为指南有定义．事务指南手册介绍了通常应该知道的数据库事务, 它影响操作单个目标数据库．一个类通过由ado.net显示描述的事务边界使用事务类和方法能提供事务指南．在接下来的章节中,我将把重点放在事务指南上． 自动事务也是可行的,为了使用类来参与事务来协调跨多个数据源的改变．在这种情景下事务本身是在外层处理的,比如通过com+ 和 DTC． 需要了解更多自动事务的,可以参照相关自动事务			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/7M0qaJp.html" rel="bookmark">为什么选择VB&period;NET？（转贴）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对于.NET,人们比WEB应用程序投入了更大的关注.VB第一次承诺,可以额外提供对控制台程序以及Windows服务的支持.因为这一点,Rob Macdonald回过头来问:用VB.NET究竟可以做什么?换一句话说,VB.NET是否适合你?目前为止,许多软件公司(包括Microsoft)都将他们的产品压缩在一个安装包里提供给开发人员.我们就一直忍受着那些令人头痛的配置和版本匹配的问题.我们为了产品在真实环境中的运行绞尽脑汁.为了测试,我们还要花费大量的时间来设置一个干净的机器.接下来的几年中,绝大			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/2pLwjZM.html" rel="bookmark">在VB&period;NET中调试存储过程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				存储过程 调试是编写应用程序的一个主要部分.Visual Studio .NET为自带的调试器提供了大量的增强性能,包括统一的调试界面.Web service调试以及跨语言调试.这种调试器的一个最有用的新功能体现在对存储过程的调试性能上.本文我将介绍在VS.NET中对SQL Server 2000存储过程进行调试的几种可选方法,以及你可能会遇到的一些配置问题. 许多商家使用SQL Server作为数据库,并将存储过程作为将数据返回VB中的机制,因此对存储过程进行逐步调试的能力成为开发的关键.Vi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0zGaQ6M.html" rel="bookmark">&period;net中数据库事务机制</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				数据|数据库 在初始化SqlTransaction类时,你需要使用SqlConnection类的BeginTranscation()方法: SqlTransaction myTran; myTran=myConn.BeginTransaction();  该方法返回一个SqlTransaction类型的变量.在调用BeginTransaction()方法以后,所有基于该数据连接对象的SQL语句执行动作都将被认为是事务MyTran的一部分.同时,你也可以在该方法的参数中指定事务隔离级别和事务名			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MY9ErM.html" rel="bookmark" class="title">SEO相关</a>
					<div>
						seo ■ 什么是SEO  SEO 是英文search engine optimization的缩写,其中文意思是搜索引擎优化.而从事这方面工作的就是search engine optimizer,搜 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMymZ5M.html" rel="bookmark" class="title">ASP关于分页办法</a>
					<div>
						分页     时间关系,没有经过完全测试,这个是大概意思.   CREATE PROCEDURE getnotes       @forumID varchar(10),    @a_intPageN ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbaDNJz.html" rel="bookmark" class="title">Array&lpar;hash&rpar;爆出的冲突问题</a>
					<div>
						最近(貌似是28号)从国外(地址:http://nikic.github.com/2011/12/28/Supercolliding-a-PHP-array.html)爆出了一个关于Array的新PH ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrn34M.html" rel="bookmark" class="title">2011淘宝客操作正规站群需要注意的三点</a>
					<div>
						2011年2月22日百度大地震中大批量地处理了站群,可谓是对用黑帽的手法做站群的朋友们当头一捧.其中,有的朋友肯定捞到了一笔,但也有人刚操作站群就不给力了,原因是百度已经有所动作,就拿我的一个朋友来说 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3we7b.html" rel="bookmark" class="title">转载C&num; Tutorials，ADO&bsol;adosample&period;cs</a>
					<div>
						ado using System;using System.Data;using System.Data.ADO; public class MainClass {   public static v ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bala0Qz.html" rel="bookmark" class="title">enode框架入门：事件驱动架构（EDA）思想的在框架中如何体现</a>
					<div>
						开源地址:https://github.com/tangxuehua/enode 上一篇文章,我给大家分享了我的一个基于DDD 以及EDA架构的框架enode,但是只是介绍了一个大概.接下来我准备用很 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnL4Qz.html" rel="bookmark" class="title">从IBM WAS到IBM WVE的移植实践</a>
					<div>
						从 IBM WebSphere Application Server 到 IBM WebSphere Virtual Enterprise 的移植实践 WVE 及中间件虚拟化方案简介 WAS 是业界领 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNExxyb.html" rel="bookmark" class="title">&lbrack;JAVA100例&rsqb;057、结果集元数据</a>
					<div>
						import java.sql.*; /** * &lt;p&gt;Title: 结果集元数据&lt;/p&gt; * &lt;p&gt;Description: 使用结果集元数据对象获取数据库信息. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnY8Qz.html" rel="bookmark" class="title">巧用组策略提高Win7系统安全性</a>
					<div>
						针对Windows 7的优化设置方法也层出不穷,用户往往是东拼西凑,没个头绪,而且这些方法更是真伪难辨,效果到底如何也无从知晓.其实利用Win7的系统组策略功能,就可以实现Win7的系统优化.本文为大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2y3EM.html" rel="bookmark" class="title">Photoshop绘制古典男孩唯美插画</a>
					<div>
						  本教程主要用Photoshop来绘制一张唯美的插画,效果非常漂亮,不过绘画需要一定的基础,喜欢的朋友可以来尝试一下 先看看画好的效果图: 下面是教程哈,开始了 建立图层·背景色为白色·新建图层 绘 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVn11kz.html" rel="bookmark" class="title">iis 7启用32位应用程序</a>
					<div>
						在之前的IIS7配置php中我们已经详细图解了了配置过程,也许有的朋友会按照上面说的配置不成功,配置完成后,运行程序总是报500的fastcgi服务器错误,其实只要在程序池中设置启用32位应用程序即可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwlB45b.html" rel="bookmark" class="title">excel表格保护密码忘了怎么办</a>
					<div>
						  excel密码破解步骤如下: 打开受密码保护的工作表 工具---宏----录制新宏---输入名字如:hh 停止录制(这样得到一个空宏) 工具---宏----宏,选hh,点编辑按钮 删除窗口中的所有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxGmAb.html" rel="bookmark" class="title">WPS表格中怎么套用求和公式计算&quest;</a>
					<div>
						  有时侯我们需要在表格里对几栏数据进行求和,这就需要我们套用求和公式.现在我就为大家来说明一下如何操作. 1.打开需要求和的WPS表格,选定要求和的单元格.(如图所示) 计算?-wps表格怎么套用公 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXxKAp.html" rel="bookmark" class="title">Win7系统小技巧日期栏显示星期信息</a>
					<div>
						  其实Windows 7日期栏即使不修改,要查看星期也是非常方便的,一来有小工具,二来单击时间栏就可以很方便的查看日期和星期,所以修改的意义并不大.当然,这个要看个人的使用习惯了. 问:默认的Win ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9EWy3M.html" rel="bookmark" class="title">如何检测CPU温度</a>
					<div>
						如何检测CPU温度 如何检测CPU温度 作者:佚名 教程来源:本站原创 点击数:10190 更新时间:2008-8-20 随着天气慢慢变热,电脑的散热问题备受关注,.在这里我给大家推荐一个可以测试CP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZRd2z.html" rel="bookmark" class="title">新浪微博如何为单条微博添加标签&quest;</a>
					<div>
						  您可以在个人微博页面,每条发布的微博下方都会有&quot;加标签&quot;按钮,点击按钮输入标签名称,即可为您的微博添加标签.每条微博最多能加5个标签,每条标签限14个字符,每个用户最多可拥有2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJ7Ykp.html" rel="bookmark" class="title">flex chart 点拖动-Flex 使用Chart组件画线时，怎么随意拖动线上的点</a>
					<div>
						问题描述 Flex 使用Chart组件画线时,怎么随意拖动线上的点 现项目有一需求,用Linechart画折现时,能够实现选中线上的点时,能够改变线的形状.求指教.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ePRYb.html" rel="bookmark" class="title">从一篇Blog看两个并发编程错误</a>
					<div>
						发现公司支付宝接入的代码有点神奇,在网上搜索了下,找到原始版本.估计有不少人都是抄那份代码的. 原文在:http://blog.csdn.net/simdanfeg/article/details/9 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmZX0z.html" rel="bookmark" class="title">struct-这个代码在编译时没有错误，在运行时却弹出debug assertion failed line52</a>
					<div>
						问题描述 这个代码在编译时没有错误,在运行时却弹出debug assertion failed line52 #ifndef Linkstack_H #define Linkstack_H #incl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWlKQnp.html" rel="bookmark" class="title">PS怎么给人像的美化及双曲线磨皮教程</a>
					<div>
						  PS怎么给人像的美化及双曲线磨皮教程           原图 最终效果 1.打开素材图片,把背景图层复制一层,先确定需要调整的部分,面部需要变形,头部部分需要液化处理.如下图所示调整. 2.变形 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWqyOz.html" rel="bookmark" class="title">【oracle】index的几种扫描方式</a>
					<div>
						常见的index 相关的扫描方式大概有如下几种: index range scan(索引范围扫描): 1.对于unique index来说,如果where 条件后面出现了&lt;,&gt; ,betw ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRNZxb.html" rel="bookmark" class="title">百度离线地图API2&period;0  可完全脱离互联网</a>
					<div>
						问题描述 百度离线地图API2.0 可完全脱离互联网 地图离线开发,使用百度API2.0改写的,支持断网或内网访问,只要下载离线瓦片图就OK了,做内网地图功能杠杠的/呲牙http://api.jjsz ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkOqvM.html" rel="bookmark" class="title">C函数之memcpy&lpar;&rpar;函数用法</a>
					<div>
						头文件:#include &lt;string.h&gt; memcpy() 用来复制内存,其原型为:    void * memcpy ( void * dest, const void * src ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xAKob.html" rel="bookmark" class="title">教案、讲稿、讲义的区别</a>
					<div>
						[来信] 贺老师,您好! 在CSDN上关注您有段时间了,给您写信是想请教您一个问题,就是:教案.讲稿.讲义的区别? 问题背景:我最近在设计一款在线教学的产品,主要是针对K12的培训的:但现在对一些教学 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRN6EBM.html" rel="bookmark" class="title">《Hadoop实战手册》一1&period;6 配置Sqoop以支持SQL Server</a>
					<div>
						1.6 配置Sqoop以支持SQL Server 本节将展示如何配置Sqoop和SQL Server数据库进行连接.这样可以允许数据从SQL Server数据库有效地导入HDFS中. 准备工作 本例子 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgA0oM.html" rel="bookmark" class="title">EMC为安莉芳服装构建ERP存储系统解决方案</a>
					<div>
						世界领先的信息存储解决方案提供厂商EMC(中国)公司宣布,安莉芳(中国)服装公司采用EMC的整体存储解决方案,并已于2004年第二季度投入使用.EMC整体存储系统解决方案替换了安莉芳公司S 服装制造行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJvEkp.html" rel="bookmark" class="title">PostgreSQL OLAP新高度 - CPU向量计算与瓦片式存储</a>
					<div>
						标签 PostgreSQL , OLAP , 向量化 , vector , postgrespro , tiles , 瓦片 , 瓦片索引 , map , reduce , 分组聚合 , 非分组聚合  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWwRZz.html" rel="bookmark" class="title">归真堂再次陷入舆论漩涡</a>
					<div>
						&quot;归真堂盗用去世网友账号进行网络公关&quot;的事件日前在微博上疯传,处于风口浪尖的归真堂再次陷入舆论漩涡.&quot;网络水军&quot;,盗用他人账号,企图营销的行为更是激起了网友的众 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0wErz.html" rel="bookmark" class="title">spring mvc-springjdbc查询问bean映射问题，求大神帮忙看看</a>
					<div>
						问题描述 springjdbc查询问bean映射问题,求大神帮忙看看 之前的查询都没问题,只要bean是驼峰规则,同事新添加了一个字段数据库里是这样的video_mp4_url,写成videoMp4U ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk00x5z.html" rel="bookmark" class="title">Javascript全局变量var与不var的区别深入解析&lowbar;基础知识</a>
					<div>
						相信你对全局变量一定不陌生,在函数作用域里用a=1这种形式定义的变量会是一个全局变量,在全局作用域里,用下面3种形式都可以创建对全局可见的命名: 复制代码 代码如下: &lt;script&gt;va ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
